> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.propexo.com/api-reference/resman/events/get-all-events/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server. # Get all events GET https://api.propexo.com/v1/events/ Get all events Reference: https://docs.propexo.com/api-reference/resman/events/get-all-events ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.propexo.com` (Production, default) - `https://api.sandbox.propexo.com` (Sandbox) ## Request ### Query parameters - `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc - `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results - `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query - `x_id` (string, optional) — The external ID of the event from the integration vendor - `x_property_id` (string, optional) — The external ID of the property from the integration vendor - `x_type_id` (string, optional) — The external ID of the type from the integration vendor - `location_id` (string, optional) — The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations. - `property_id` (string, optional) — The Propexo unique identifier for the property - `lead_id` (string, optional) — The Propexo unique identifier for the lead - `applicant_id` (string, optional) — The Propexo unique identifier for the applicant - `resident_id` (string, optional) — The Propexo unique identifier for the resident - `integration_id` (string, optional) — The Propexo unique identifier for the integration - `integration_vendor` (enum, optional) — The property management system of record - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST` ## Response ### 200 Successful response - `meta` (ResponseMeta, required) - `results` (list of Event, required) ## Errors ### 400 Bad Request Error Bad Request - `error` (ErrorResponseError, required) ## Types ### ResponseMeta - `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results - `offset` (integer, optional) — The offset of the first result - `limit` (integer, optional) — The number of results to return - `hasMore` (boolean, optional, nullable) — Whether there are more results - `total` (integer, optional) — The total number of results ### Event - `id` (string, required) — The Propexo unique identifier for the event - `created_at` (string, required) — The date record first entered Propexo - `updated_at` (string, required) — The date record was last updated in Propexo - `last_seen` (string, required, nullable) — The date the record was last seen from the PMS - `x_id` (string, required) — The external ID from the integration vendor | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `x_property_id` (string, required) — The external ID of the property from the integration vendor | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `x_leasing_agent_id` (string, required, nullable) — The external ID of the leasing agent from the integration vendor | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `x_type_id` (any, required) — The external ID of the type from the integration vendorThis field will always be null for RESMAN - `x_location_id` (any, required) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.This field will always be null for RESMAN - `event_name` (any, required) — The name of the eventThis field will always be null for RESMAN - `event_datetime` (string, required, nullable) — The datetime that the event occurred | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `appointment_datetime` (any, required) — The datetime that the event appointment occurredThis field will always be null for RESMAN - `type_raw` (string, required, nullable) — The type of event | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `notes` (string, required, nullable) — Notes associated with the event | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `agent_name` (string, required, nullable) — The name of the agent associated with the event | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `reasons_for_event` (string, required, nullable) — Reasons that the event occurred | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `associated_lead_ids` (list of string, required, nullable) — The lead IDs associated with the eventThis field is not currently hydrated for RESMAN - `associated_applicant_ids` (list of string, required, nullable) — The applicant IDs associated with the eventThis field is not currently hydrated for RESMAN - `associated_resident_ids` (list of string, required, nullable) — The resident IDs associated with the eventThis field is not currently hydrated for RESMAN - `integration_id` (string, required) — The Propexo unique identifier for the integration - `integration_vendor` (enum, required) — The property management system of record - Allowed values: `RESMAN`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `YARDI`, `YARDI_REST` - `property_id` (string, required) — The Propexo unique identifier for the property ### ErrorResponseError - `code` (string, required) - `message` (string, required) - `details` (map from string to any, optional) ### ResponseMetaOrderByItems ## Examples **Response** ```json { "meta": { "orderBy": [ {} ], "offset": 0, "limit": 100, "hasMore": true, "total": 1000 }, "results": [ { "id": "clwktsp9v000008l31iv218hn", "created_at": "2024-03-21T15:38:08.337Z", "updated_at": "2024-03-22T10:59:45.119Z", "last_seen": "2024-03-22T10:59:45.119Z", "x_id": "dc6cd684-9392-4d8b-9d4d-fb4ec8a2fcd7", "x_property_id": "107c9ff1-7d21-407a-bdbd-e66224c10048", "x_leasing_agent_id": "4f4f1b5a-9ec0-40bc-a886-e0dae65b8df8", "x_type_id": null, "x_location_id": null, "event_name": null, "event_datetime": "2023-08-26T07:30:54.000Z", "appointment_datetime": null, "type_raw": "Appointment", "notes": "Nice person, firm handshake.", "agent_name": "John Doe", "reasons_for_event": "Initial contact", "associated_lead_ids": [ "cm2jeb8af00042qoza7lcb5cx" ], "associated_applicant_ids": [ "string" ], "associated_resident_ids": [ "cm2jebkdu00072qozfa5p9rs7" ], "integration_id": "clwh5u07w000508me66sfh3um", "integration_vendor": "RESMAN", "property_id": "clwi5xiix000008l6ctdgafyh" } ] } ``` **SDK Code** ```python import requests url = "https://api.propexo.com/v1/events/" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.propexo.com/v1/events/'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.propexo.com/v1/events/" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.propexo.com/v1/events/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.propexo.com/v1/events/") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.propexo.com/v1/events/', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.propexo.com/v1/events/"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/events/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```